Apache Tomcat 7.0.42

## org.apache.tomcat.jdbc.pool.interceptor
Class StatementCache.CachedStatement

    java.lang.Object
      org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy<Statement>
          org.apache.tomcat.jdbc.pool.interceptor.StatementCache.CachedStatement

All Implemented Interfaces:
  InvocationHandler

Enclosing class:
  StatementCache

    protected class StatementCache.CachedStatement

extends StatementDecoratorInterceptor.StatementProxy<Statement>

Field Summary

Fields inherited from class org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy
`closed, delegate`

Constructor Summary
`StatementCache.CachedStatement(Statement parent, String sql)`

Method Summary
`void` `closeInvoked()`
`void` `forceClose()`

Methods inherited from class org.apache.tomcat.jdbc.pool.interceptor.StatementDecoratorInterceptor.StatementProxy
`getActualProxy, getConnection, getConstructor, getDelegate, getSql, invoke, setActualProxy, setConnection, setConstructor, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatementCache.CachedStatement

    public StatementCache.CachedStatement(Statement parent,
                                          String sql)

Method Detail

### closeInvoked

    public void closeInvoked()

  Overrides:
    `closeInvoked` in class `StatementDecoratorInterceptor.StatementProxy<Statement>`

### forceClose

    public void forceClose()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.